const express = require('express');
const router = express.Router();
const insertController = require('../controllers/insert.controller');
const exportController = require('../controllers/export.controller');
const dataController = require('../controllers/updateindex.controller');

// rutas de la exportacion de datos
router.get('/export-liviano', exportController.exportDataLiviana);
router.get('/export-mediano', exportController.exportDataMediano);
router.get('/export-masivo', exportController.exportDataMasiva);

// rutas para insertar datos
router.get('/import-liviano', insertController.importDataLiviana);
router.get('/import-mediano', insertController.importDataMediano);
router.get('/import-masivo', insertController.importDataMasiva);

// actualizando los indices
router.get('/update-index', dataController.updateIndex);

module.exports = router;